坑1
CommonChunkPlugin需要加上minChunks属性,minChunks是指一个文件至少被require几次才会被放到CommonChunk里,如果minChunks等于2,说明一个文件至少被require两次才能放在CommonChunk里。

1
2
3
4
new CommonsChunkPlugin({
name: "common",
minChunks: 2
});

坑2
UglifyJsPlugin现在不支持es6,必须要用babel转换成es5。

转载请保持原始链接

原始链接: https://ru23.com/note/9aead141.html